Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 590865 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 6 (SIGABRT)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:40da977fba48067f161f47f9f7d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 16:23 EDT by lukas vrabec
Modified: 2010-07-15 20:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 20:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.36 KB, text/plain)
2010-05-10 16:23 EDT, lukas vrabec
no flags Details

  None (edit)
Description lukas vrabec 2010-05-10 16:23:54 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox --sm-config-prefix /firefox-nhvRYV/ --sm-client-id 10fdf7c2d7000127352670300000023700018 --screen 0
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.5/firefox
global_uuid: 40da977fba48067f161f47f9f7d83dedc50c9dfc
kernel: 2.6.32.11-99.fc12.i686.PAE
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 lukas vrabec 2010-05-10 16:23:58 EDT
Created attachment 412959 [details]
File: backtrace
Comment 2 Chris Campbell 2010-06-05 14:16:09 EDT
Thread 1 (Thread 2671):
#0  0x008c3424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00502000 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = <value optimized out>
#2  0x021a94f3 in nsProfileLock::FatalSignalHandler (signo=6)
    at nsProfileLock.cpp:212
        unblock_sigs = {__val = {32, 0 <repeats 31 times>}}
        oldact = <value optimized out>
#3  <signal handler called>
No symbol table info available.
#4  0x008c3424 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00375a81 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 4960244
        selftid = 2671
#6  0x0037734a in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xbfde9570, sa_sigaction = 
    0xbfde9570}, sa_mask = {__val = {2458434944, 3219035460, 3353896, 
    3219035444, 7354380, 3219035432, 3443260, 0, 3074728816, 5, 0, 1, 
    3074531328, 8294820, 2457884672, 0, 3219035368, 7603191, 2457884672, 
    2458337280, 3219035432, 0, 3219035504, 3219035432, 3219035444, 7728841, 
    3074531328, 0, 7388080, 4, 2458338192, 3076514652}}, sa_flags = 112, 
          sa_restorer = 0xb75fe040}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#7  0x0075f3df in IA__g_assertion_message (domain=0x81d8dc "GLib-GObject", 
    file=0x820694 "gsignal.c", line=618, func=0x821881 "handler_unref_R", 
    message=0x928180c0 "assertion failed: (hlist->tail_before == handler)")
    at gtestutils.c:1302
        lstr = 
    "618\000\360\200\201\222\233ty\000\304\177\064\000y\351~\000\005\000\000\000@\226\336\277\205s3"
        s = 
    0x92874320 "GLib-GObject:ERROR:gsignal.c:618:handler_unref_R: assertion failed: (hlist->tail_before == handler)"
#8  0x0075f97e in IA__g_assertion_message_expr (domain=
    0x81d8dc "GLib-GObject", file=0x820694 "gsignal.c", line=618, func=
    0x821881 "handler_unref_R", expr=0x820676 "hlist->tail_before == handler")
    at gtestutils.c:1313
        s = 0x928180c0 "assertion failed: (hlist->tail_before == handler)"
#9  0x0080cdef in handler_unref_R (instance=0x92a051f0, 
    mask=<value optimized out>, signal_id=0, detail=0, closure=0x0, func=
    0x3cd3720, data=0xb18e1600, callback=
    0x805920 <IA__g_signal_handler_disconnect>) at gsignal.c:630
        hlist = <value optimized out>
#10 handler_match_free1_R (instance=0x92a051f0, mask=<value optimized out>, 
    signal_id=0, detail=0, closure=0x0, func=0x3cd3720, data=0xb18e1600, 
    callback=0x805920 <IA__g_signal_handler_disconnect>) at gsignal.c:465
        next = 0x0
#11 signal_handlers_foreach_matched_R (instance=0x92a051f0, 
    mask=<value optimized out>, signal_id=0, detail=0, closure=0x0, func=
    0x3cd3720, data=0xb18e1600, callback=
    0x805920 <IA__g_signal_handler_disconnect>) at gsignal.c:2533
        mlist = <value optimized out>
        n_handlers = 1
#12 0x0080d033 in IA__g_signal_handlers_disconnect_matched (instance=
    0x92a051f0, mask=24, signal_id=0, detail=0, closure=0x0, func=0x3cd3720, 
    data=0xb18e1600) at gsignal.c:2673
        n_handlers = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_handlers_disconnect_matched"
#13 0x03cd9b9c in IA__gtk_tree_view_set_model (tree_view=
    0xb18e1600 [GtkTreeView], model=0x0) at gtktreeview.c:10632
        tmplist = 0x0
        __PRETTY_FUNCTION__ = "IA__gtk_tree_view_set_model"
#14 0x03cdfa33 in gtk_tree_view_destroy (object=0xb18e1600 [GtkTreeView])
    at gtktreeview.c:1682
        tree_view = 0xb18e1600 [GtkTreeView]
        list = <value optimized out>
#15 0x008032d4 in IA__g_cclosure_marshal_VOID__VOID (closure=0xb74b22f0, 
    return_value=0x0, n_param_values=1, param_values=0x92816cc0, 
    invocation_hint=0xbfde9920, marshal_data=0x3cdf760) at gmarshal.c:77
        callback = 0x3cdf760 <gtk_tree_view_destroy>
        cc = 0xb74b22f0
        data1 = <value optimized out>
        data2 = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#16 0x007f3c0a in g_type_class_meta_marshal (closure=0xb74b22f0, return_value=
    0x0, n_param_values=1, param_values=0x92816cc0, invocation_hint=
    0xbfde9920, marshal_data=0x4c) at gclosure.c:878
        class = Cannot access memory at address 0x0



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-06-05 14:16:45 EDT
Reporter, can you list steps to reliably reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2010-06-21 09:12:48 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-07-15 20:01:59 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 
Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.